### Function

# GLib SourceFuncsFinalizeFunc

since: 2.82

#### Declaration

    void
    (* GSourceFuncsFinalizeFunc) (
      GSource* source
    )

#### Description [src]

Finalizes the source.

Called when the source is finalized. At this point, the source will have been destroyed, had its callback cleared, and have been removed from its `GMainContext`, but it will still have its final reference count, so methods can be called on it from within this function.

Available since: 2.82

#### Parameters

`source`

  Type: `GSource`

  The `GSource`.

  The data is owned by the caller of the function.